| optoMDC

Public Member Functions | Public Attributes | List of all members
optoMDC.registers.mre2_registers.Misc Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.Misc:

## Public Member Functions
def | __init__ (self, board=None)
def | GetScutiLED (self)
def | SetScutiLED (self, value)
def | DisableProxyClock (self)
def | EnableProxyClock (self)
def | EnableCPULED (self)
def | DisableCPULED (self)
def | DumpFPGAMappedMemory (self)
def | DumpEEPROMMappedMemory (self)
def | GetFPGAStatusRegister (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Public Attributes
| sys_id
| scuti_led
| disable_proxy_clock
| enable_proxy_clock
| enable_cpu_led
| disable_cpu_led
| dump_fpga_mapped_memory
| dump_eeprom_mapped_memory
| get_fpga_status_register
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Device Functionality - Misc
    System ID: 0x25

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | scuti_led                 | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | disable_proxy_clock       | 0x01 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | ensable_proxy_clock       | 0x02 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | enable_cpu_led            | 0x03 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | disable_cpu_led           | 0x04 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | dump_fpga_mapped_memory   | 0x05 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | dump_eeprom_mapped_memory | 0x06 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | get_fpga_status_register  | 0x07 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoMDC.registers.mre2_registers.Misc.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ DisableCPULED()

def optoMDC.registers.mre2_registers.Misc.DisableCPULED | ( |  | self | ) |

## ◆ DisableProxyClock()

def optoMDC.registers.mre2_registers.Misc.DisableProxyClock | ( |  | self | ) |

## ◆ DumpEEPROMMappedMemory()

def optoMDC.registers.mre2_registers.Misc.DumpEEPROMMappedMemory | ( |  | self | ) |

## ◆ DumpFPGAMappedMemory()

def optoMDC.registers.mre2_registers.Misc.DumpFPGAMappedMemory | ( |  | self | ) |

## ◆ EnableCPULED()

def optoMDC.registers.mre2_registers.Misc.EnableCPULED | ( |  | self | ) |

## ◆ EnableProxyClock()

def optoMDC.registers.mre2_registers.Misc.EnableProxyClock | ( |  | self | ) |

## ◆ GetFPGAStatusRegister()

def optoMDC.registers.mre2_registers.Misc.GetFPGAStatusRegister | ( |  | self | ) |

## ◆ GetScutiLED()

def optoMDC.registers.mre2_registers.Misc.GetScutiLED | ( |  | self | ) |

## ◆ SetScutiLED()

def optoMDC.registers.mre2_registers.Misc.SetScutiLED | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ disable_cpu_led

optoMDC.registers.mre2_registers.Misc.disable_cpu_led

## ◆ disable_proxy_clock

optoMDC.registers.mre2_registers.Misc.disable_proxy_clock

## ◆ dump_eeprom_mapped_memory

optoMDC.registers.mre2_registers.Misc.dump_eeprom_mapped_memory

## ◆ dump_fpga_mapped_memory

optoMDC.registers.mre2_registers.Misc.dump_fpga_mapped_memory

## ◆ enable_cpu_led

optoMDC.registers.mre2_registers.Misc.enable_cpu_led

## ◆ enable_proxy_clock

optoMDC.registers.mre2_registers.Misc.enable_proxy_clock

## ◆ get_fpga_status_register

optoMDC.registers.mre2_registers.Misc.get_fpga_status_register

## ◆ name

optoMDC.registers.mre2_registers.Misc.name

## ◆ scuti_led

optoMDC.registers.mre2_registers.Misc.scuti_led

## ◆ sys_id

optoMDC.registers.mre2_registers.Misc.sys_id

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py